package com.yc.education.service;

import com.yc.education.model.Journalism;

import java.util.List;

/**
 * huangpan
 * 2019/9/24
 * energy
 */
public interface JournalismService extends  IService<Journalism> {

    /*按分页、模糊字段、分类查询所有数据*/
    List<Journalism> getJournalism(Integer pageNum, Integer pageSize, String titleName,Integer typesort);
    /*前端查询*/
    List<Journalism> findJOurnalism();
    /*通过id查询*/
    Journalism getJournalismId(int id);
    void deleteJournalismId(int id);


}
